pub fn check_blacklist(domain: &str) -> bool {
    let blacklist_raw = std::env::var("BLACKLIST_DOMAINS").unwrap_or_default();

    if blacklist_raw.is_empty() {
        return false;
    }

    let blacklist: Vec<&str> = blacklist_raw.split(',').collect();

    for domain_regex in blacklist {
        let rgx = regex::Regex::new(domain_regex).unwrap();
        if rgx.is_match(domain) {
            return true;
        }
    }

    return false;
}
