use archive::WebsiteArchive;
use rocket::routes;

mod archive;
mod blacklist;
mod favicon;
mod pages;

#[rocket::launch]
async fn launch() -> _ {
    env_logger::init();

    let arc = WebsiteArchive::new("./websites");

    let archive = arc.clone();

    tokio::spawn(async move {
        favicon::download_favicons_for_sites(&archive.domains()).await;
    });

    rocket::build()
        .mount(
            "/",
            routes![
                pages::index,
                pages::render_website,
                pages::domain_info_route,
                pages::favicon_route
            ],
        )
        .manage(arc)
}
